io_readwritefile(3)

NAME
io_readfile - open a file for reading and writing

SYNTAX
#include <libowfat/io.h>

int io_readwritefile(int64* d,const char* s);

DESCRIPTION
io_readwritefile sets d to the number of a new descriptor reading from and writing to the disk file named s, and returns 1. The file needs to exist.

If something goes wrong, io_readwritefile sets errno to indicate the error, and returns 0; it does not create a new descriptor, and it does not touch d.

SEE ALSO
io_readfile(3), io_createfile(3), io_appendfile(3)